%define libgnomeui_version 2.0.1
%define gtk2_version 2.0.3
%define atk_version 1.0.2
%define at_spi_version 1.0.1

Summary: Accessibility implementation for GTK+ and GNOME libraries
Name: libgail-gnome
Version: 1.0.0
Release: 3
URL: http://developer.gnome.org/projects/gap
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: atk >= %{atk_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: at-spi >= %{at_spi_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: at-spi-devel >= %{at_spi_version}

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME libraries, 
enabling accessibility technologies such as at-spi to access those GUIs.
libgail-gnome contains the GNOME portions of GAIL.

%prep
%setup -q

%build

%configure

make ##%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## Unbreak lame upstream placement
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules
mv $RPM_BUILD_ROOT%{_libdir}/lib* $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/gtk-2.0

%changelog
* Mon Jun 24 2002 Matt Wilson <msw@redhat.com>
- modules go in gtk-2.0/modules, not gtk-2.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- initial package

